# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(Carp.pm) perl(Config.pm) perl(Cwd.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(Fcntl.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(FileHandle.pm) perl(FileHandle/Fmode.pm) perl(IO/Handle.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(Scalar/Util.pm) perl(Socket.pm) perl(Symbol.pm) perl(Test/Exception.pm) perl(Test/File/Contents.pm) perl(Test/More.pm) perl(Try/Tiny.pm) perl(YAML/Tiny.pm) perl(base.pm) perl(if.pm) perl(inc/Module/Install.pm)
# END SourceDeps(oneline)
%define module_version 0.05
%define module_name IO-ReStoreFH
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.05
Release: alt1
Summary: store/restore file handles
Group: Development/Perl
License: gpl3
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/D/DJ/DJERIUS/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
Redirecting and restoring I/O streams is straightforward but a chore,
and can lead to strangely silent errors if you forget to restore
STDOUT or STDERR.

IO::ReStoreFH helps keep track of the present state of filehandles and
low-level file descriptors and restores them either explicitly or when
the IO::ReStoreFH object goes out of scope.

It uses the standard Perl filehandle duplication methods (via open)
for filehandles, and uses POSIX::dup and POSIX::dup2 for file
descriptors.

File handles and descriptors are restored in the reverse order that
they are stored.


%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/I*

%changelog
* Mon Nov 16 2015 Igor Vlasenko <viy@altlinux.ru> 0.05-alt1
- initial import by package builder

